Cisco Umbrella Virtual Appliance Static SSH Host Key Vulnerability

Advisory ID:cisco-sa-uva-static-key-6RQTRs4cFirst
Published:2022 April 20 16:00 GMT
Version 1.0:Final
Workarounds:No workarounds available
Cisco Bug IDs:CSCwa11399
CVSS Score:Base 7.5
CVE-2022-20773CWE-321 Download CVRFEmail

Summary

  • A vulnerability in the key-based SSH authentication mechanism of Cisco Umbrella Virtual Appliance (VA) could allow an unauthenticated, remote attacker to impersonate a VA.This vulnerability is due to the presence of a static SSH host key. An attacker could exploit this vulnerability by performing a man-in-the-middle attack on an SSH connection to the Umbrella VA. A successful exploit could allow the attacker to learn the administrator credentials, change configurations, or reload the VA.Note: SSH is not enabled by default on the Umbrella VA.Cisco has released software updates that address this vulnerability. There are no workarounds that address this vulnerability.This advisory is available at the following link:
    https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-uva-static-key-6RQTRs4c

Affected Products

  • Vulnerable ProductsThis vulnerability affects the Cisco Umbrella Virtual Appliance for both VMWare ESXi and Hyper-V running a software version earlier than 3.3.2.Determine the Software VersionThe version of the VA is verified by opening the VA in the hypervisor console or navigating to the Umbrella Dashboard as follows:Deployments > Configuration > Sites and Active DirectoryTo determine if SSH is enabled, log in to the hypervisor console, enter configuration mode by pressing CTRL+B, and enter the command config va show.The following example shows the output of the config va show command for a device that has SSH enabled: ~ $ config va show
    Virtual Appliance Configuration
    Name:
    Local DNS –
    ip address :
    DNSSEC : disabled
    Internal Domains Count: 0
    Resolvers: 208.67.220.220 208.67.222.222
    SSH access : enabledProducts Confirmed Not VulnerableOnly products listed in the Vulnerable Products section of this advisory are known to be affected by this vulnerability.

Workarounds

  • There are no workarounds that address this vulnerability.

Fixed Software

  • Cisco has released free software updates that address the vulnerability described in this advisory. Customers with service contracts that entitle them to regular software updates should obtain security fixes through their usual update channels.Customers may only install and expect support for software versions and feature sets for which they have purchased a license. By installing, downloading, accessing, or otherwise using such software upgrades, customers agree to follow the terms of the Cisco software license:
    https://www.cisco.com/c/en/us/products/end-user-license-agreement.htmlAdditionally, customers may only download software for which they have a valid license, procured from Cisco directly, or through a Cisco authorized reseller or partner. In most cases this will be a maintenance upgrade to software that was previously purchased. Free security software updates do not entitle customers to a new software license, additional software feature sets, or major revision upgrades.The Cisco Support and Downloads page on Cisco.com provides information about licensing and downloads. This page can also display customer device support coverage for customers who use the My Devices tool.When considering software upgrades, customers are advised to regularly consult the advisories for Cisco products, which are available from the Cisco Security Advisories page, to determine exposure and a complete upgrade solution.In all cases, customers should ensure that the devices to be upgraded contain sufficient memory and confirm that current hardware and software configurations will continue to be supported properly by the new release. If the information is not clear, customers are advised to contact the Cisco Technical Assistance Center (TAC) or their contracted maintenance providers.Customers Without Service ContractsCustomers who purchase directly from Cisco but do not hold a Cisco service contract and customers who make purchases through third-party vendors but are unsuccessful in obtaining fixed software through their point of sale should obtain upgrades by contacting the Cisco TAC: https://www.cisco.com/c/en/us/support/web/tsd-cisco-worldwide-contacts.htmlCustomers should have the product serial number available and be prepared to provide the URL of this advisory as evidence of entitlement to a free upgrade.Fixed ReleasesCustomers are advised to upgrade to an appropriate fixed software release as indicated in the following table(s):Cisco Umbrella Virtual Appliance Software ReleaseFirst Fixed Release3.2 and earlierMigrate to a fixed release.3.33.3.2The Cisco Product Security Incident Response Team (PSIRT) validates only the affected and fixed release information that is documented in this advisory.

Exploitation and Public Announcements

  • The Cisco PSIRT is not aware of any public announcements or malicious use of the vulnerability that is described in this advisory.

Source

  • Cisco would like to thank Fraser Hess of Pinnacol Assurance for reporting this vulnerability.

URL

Leave a Reply

Your email address will not be published.